update English manual
[claws.git] / doc / manual / en / sylpheed-4.html
1 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
2 <HTML>
3 <HEAD>
4  <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.21">
5  <TITLE>Sylpheed User's Manual: Installation.</TITLE>
6  <LINK HREF="sylpheed-5.html" REL=next>
7  <LINK HREF="sylpheed-3.html" REL=previous>
8  <LINK HREF="sylpheed.html#toc4" REL=contents>
9 </HEAD>
10 <BODY>
11 <A HREF="sylpheed-5.html">Next</A>
12 <A HREF="sylpheed-3.html">Previous</A>
13 <A HREF="sylpheed.html#toc4">Contents</A>
14 <HR>
15 <H2><A NAME="s4">4.</A> <A HREF="sylpheed.html#toc4">Installation.</A></H2>
16
17 <H2><A NAME="ss4.1">4.1</A> <A HREF="sylpheed.html#toc4.1">Required environment</A>
18 </H2>
19
20 <P>To succesfully compile Sylpheed, you need at least:
21 <UL>
22 <LI>Any POSIX compliant UNIX or similar OS eg. Linux, FreeBSD, Solaris</LI>
23 <LI>
24 <A HREF="http://www.gtk.org/">GTK+</A>
25 1.2.6 or later</LI>
26 <LI>A recent ANSI C compiler 
27 (
28 <A HREF="http://gcc.gnu.org/">gcc</A> 2.7.2.3 should also work) 
29 Note: it is reported that Sun C will not compile Sylpheed.</LI>
30 </UL>
31
32 Optionally you need:
33 <A NAME="option_libraries"></A> 
34 <UL>
35 <LI>
36 <A HREF="http://sourceforge.net/project/showfiles.php?group_id=2">Imlib</A>
37 or
38 <A HREF="http://ftp.gnome.org/pub/GNOME/unstable/sources/gdk-pixbuf/">gdk-pixbuf</A>
39 (for built-in image view)</LI>
40 <LI>
41 <A HREF="ftp://ftp.cs.indiana.edu/pub/faces/compface/">libcompface</A>
42 (for X-Face)</LI>
43 <LI>
44 <A HREF="http://www.kondara.org/libjconv/">libjconv</A>
45 (for non latin character sets)</LI>
46 <LI>
47 <A HREF="http://www.gnupg.org/gpgme.html">GPGME</A>
48 and
49 <A HREF="http://www.gnupg.org/">GNUPG</A>
50 (for encryption and signature)</LI>
51 <LI>
52 <A HREF="http://www.openssl.org/">OpenSSL</A>
53 (for SSL support)</LI>
54 <LI>
55 <A HREF="http://www.openldap.org/">OpenLDAP</A>
56 (for LDAP connection)</LI>
57 <LI>IPv6 support can be turned on (if your system supports it)</LI>
58 <LI>
59 <A HREF="http://www.jpilot.org/">Jpilot</A>
60 (for Palm addressbook use)</LI>
61 <LI>the equivalent of GTK+-devel and Xfree86-devel. (Otherwise ./configure will fail.)</LI>
62 </UL>
63 </P>
64 <P>Notice: Sylpheed may be unstable depending on the environment. Please use the newest version of libraries if possible.</P>
65 <H2><A NAME="ss4.2">4.2</A> <A HREF="sylpheed.html#toc4.2">Environments known as valid for Sylpheed</A>
66 </H2>
67
68 <P>
69 <UL>
70 <LI>Debian GNU/Linux unstable (sid) (glibc 2.2.5) (development environment) </LI>
71 <LI>Debian GNU/Linux testing (woody) (glibc 2.2.5)</LI>
72 <LI>Debian GNU/Linux 2.2 (potato) (glibc 2.1.3) </LI>
73 <LI>Kondara MNU/Linux (glibc 2.1.x) </LI>
74 <LI>Kondara MNU/Linux 1.2</LI>
75 <LI>Kondara MNU/Linux 2.0</LI>
76 <LI>Vine Linux 1.1 (glibc 2.0.x + libwcsmbs) </LI>
77 <LI>Vine Linux 2.0 (glibc 2.1.x) (Intel, PPC) </LI>
78 <LI>Vine Linux 2.1 </LI>
79 <LI>Vine Linux 2.1.5</LI>
80 <LI>Laser5 Linux 6.0 (glibc 2.1.x)</LI>
81 <LI>Laser5 Linux 6.2 (glibc 2.1.x)</LI>
82 <LI>Laser5 Linux 6.4 (glibc 2.1.x)</LI>
83 <LI>TurboLinux 4.0 (glibc 2.0.7 + libwcsmbs) </LI>
84 <LI>TurboLinux 6.0 (glibc 2.1.2) </LI>
85 <LI>TurboLinux 7.0 (glibc 2.2.x) </LI>
86 <LI>Miracle Linux Standard Edition Version1.0 </LI>
87 <LI>Miracle Linux for PostgreSQL Version1.0 </LI>
88 <LI>Miracle Linux for Samba Version1.0 </LI>
89 <LI>RedHat Linux 5.2 (glibc 2.0.7) </LI>
90 <LI>RedHat Linux 6.0 </LI>
91 <LI>RedHat Linux 6.1 + Helix GNOME (glibc 2.1.x) </LI>
92 <LI>RedHat Linux 6.2 / 6.2J (glibc 2.1.x) </LI>
93 <LI>RedHat Linux 7.0 / 7.0J </LI>
94 <LI>RedHat Linux 7.1</LI>
95 <LI>RedHat Linux 7.2</LI>
96 <LI>LinuxPPC2000 + Yukikaze(Japanization kit) </LI>
97 <LI>Linux2000G (Intel, PowerPC) </LI>
98 <LI>HOLON Linux 2.0 (Intel / PPC) </LI>
99 <LI>Linux for PPC Japanese Edition 2.0 (glibc 2.1.x) </LI>
100 <LI>Linux for PPC Japanese Edition 3.0 (glibc 2.1.x) </LI>
101 <LI>Linux MLD4</LI>
102 <LI>Linux MLD5 </LI>
103 <LI>Plamo Linux 2.0 </LI>
104 <LI>Plamo Linux 2.1</LI>
105 <LI>Slackware 7.0 </LI>
106 <LI>Slackware 7.1 </LI>
107 <LI>Slackware 8.0 </LI>
108 <LI>Linux Mandrake 7.0</LI>
109 <LI>Linux Mandrake 7.1</LI>
110 <LI>Linux Mandrake 7.2</LI>
111 <LI>Linux Mandrake 8.0</LI>
112 <LI>Linux Mandrake 8.1</LI>
113 <LI>SuSE Linux 6.3 (glibc 2.1.2) </LI>
114 <LI>SuSE Linux 6.4</LI>
115 <LI>SuSE Linux 7.0</LI>
116 <LI>SuSE Linux 7.1</LI>
117 <LI>SuSE Linux 7.2</LI>
118 <LI>SuSE Linux 7.3</LI>
119 <LI>OpenLinux 2.3 (glibc 2.1.1 -> 2.1.3) </LI>
120 <LI>Caldera OpenDesktop 2.4 </LI>
121 <LI>Caldera Workstation 3.1</LI>
122 <LI>Conectiva Linux 4.0</LI>
123 <LI>Conectiva Linux 5.0</LI>
124 <LI>Conectiva Linux 7.0</LI>
125 <LI>Vector Linux 1.5 </LI>
126 <LI>Yellow Dog Linux 2.0 (glibc 2.2.1)</LI>
127 <LI>Yellow Dog Linux 2.1 (PowerPC)</LI>
128 <LI>ASP Linux 7.2 (glibc 2.2.4)</LI>
129 <LI>Redmond Linux (Lycoris)</LI>
130 </UL>
131 </P>
132 <P>
133 <UL>
134 <LI>FreeBSD release 3.2</LI>
135 <LI>FreeBSD release 3.4</LI>
136 <LI>FreeBSD release 4.0</LI>
137 <LI>FreeBSD release 4.1</LI>
138 <LI>FreeBSD release 4.2</LI>
139 <LI>FreeBSD release 4.3</LI>
140 <LI>FreeBSD release 4.4</LI>
141 <LI>FreeBSD release 4.5</LI>
142 <LI>FreeBSD release 5.0</LI>
143 <LI>NetBSD 1.4.2 </LI>
144 <LI>NetBSD 1.5 + XPG4DL </LI>
145 <LI>NetBSD 1.5.1</LI>
146 <LI>NetBSD 1.5.2</LI>
147 <LI>OpenBSD 2.7 </LI>
148 <LI>OpenBSD 2.8 (i386) </LI>
149 <LI>OpenBSD 2.9</LI>
150 <LI>OpenBSD 3.0</LI>
151 <LI>BSD/OS 4.0.1 </LI>
152 </UL>
153 </P>
154 <P>
155 <UL>
156 <LI>Solaris 2.5</LI>
157 <LI>Solaris 2.5.1</LI>
158 <LI>Solaris 2.6</LI>
159 <LI>Solaris 7</LI>
160 <LI>Solaris 8</LI>
161 <LI>IRIX 6.3</LI>
162 <LI>IRIX 6.4</LI>
163 <LI>IRIX 6.5, 6.5.8m</LI>
164 <LI>HP-UX 10.20 </LI>
165 <LI>HP-UX 11.00</LI>
166 <LI>HP-UX 11i</LI>
167 <LI>Tru64 Unix 5.0 (OSF1 v5.0)</LI>
168 <LI>SCO UnixWare 7</LI>
169 <LI>Mac OS X 10.1.3 (Darwin 5.3) + XDarwin (without XLocale support) + libxpg4 </LI>
170 </UL>
171 </P>
172 <P>
173 <UL>
174 <LI>Windows (MSVC + GTK+ for win32), in progress</LI>
175 </UL>
176 </P>
177 <H2><A NAME="ss4.3">4.3</A> <A HREF="sylpheed.html#toc4.3">Nuts and bolts of installation</A>
178 </H2>
179
180 <P>
181 <UL>
182 <LI>Download the latest version of the Sylpheed package from
183 <A HREF="http://sylpheed.good-day.net/">http://sylpheed.good-day.net/</A></LI>
184 <LI>Untar the sourcefiles to a new directory</LI>
185 <LI>tar -xvfz sylpheed-.tar.gz (for tar.gz)</LI>
186 <LI>tar -xvfI sylpheed-.tar.bz2 (for tar.bz2) </LI>
187 <LI>cd to the new sylpheed- directory </LI>
188 <LI>Run ./configure to check your environment and create the installation make files </LI>
189 <LI>Run the 'make' program which will compile the sources. Do not proceed with this step if there are fatal errors in the previous step. Fatal errors indicate that things are missing in order to compile Sylpheed properly. </LI>
190 </UL>
191 </P>
192 <P>If the make process has completed, run "make install" (as root), to install the program and the supportfiles</P>
193
194 <H3><A NAME="compile_sylpheed"></A> Compiling Sylpheed with options</H3>
195
196 <P>You can choose to compile Sylpheed with some optional features enabled.
197 Use <I>./configure --help</I> to list configuration syntax and options.</P>
198 <P>The following optional features can be enabled:</P>
199 <P>
200 <UL>
201 <LI><I>Jpilot</I>: to use you PDA addressbook with Sylpheed. You will
202 need the <I>Jpilot</I> library (and <I>pilot-link</I>, too).
203 Enable this option with the <I>--enable-jpilot</I> configure switch.</LI>
204 <LI><I>GnuPG</I>: Sylpheed can encrypt and sign your messages (also decrypt
205 and verify the signatures of the incoming messages) using GnuPG.
206 GnuPG follows the OpenPGP standard and is compatible with PGP.
207 To enable this feature, you need to install GnuPG and GPGME (interface
208 library to GnuPG).
209 Enable this option with the <I>--enable-gpgme</I> configure switch.</LI>
210 <LI><I>LDAP</I>: Sylpheed can connect to a LDAP server in order to
211 query mail addresses. To enable this feature you will need the
212 OpenLDAP library.
213 Enable this option with the <I>--enable-ldap</I> configure switch.</LI>
214 <LI><I>X-Faces</I>: you can create a small picture (of your face, or
215 of anything else) that will be sent in the header of your mails.
216 This option is enabled if the compface library is found and
217 can be disabled using the <I>--disable-compface</I> configure switch.</LI>
218 <LI>Images can appear "inline" (embedded in the message window, without
219 the need of an external viewer) if Sylpheed is compiled
220 with either the <I>gdk-pixbuf</I> or the <I>imlib</I> library.
221 You can choose the library (if both are installed) by using the
222 <I>--disable-gdk-pixbuf</I> or <I>--disable-imlib</I> configure switch.</LI>
223 </UL>
224 </P>
225 <P>All these features require additional libraries and tools that may not be part
226 of your distribution. You can find them at the addresses listed at the beginning
227 of this chapter, 
228 <A HREF="#option_libraries">here</A>.</P>
229
230 <H2><A NAME="ss4.4">4.4</A> <A HREF="sylpheed.html#toc4.4">Installation on Linux using RPM</A>
231 </H2>
232
233 <P>As root, run the "rpm -ivh " command on the RPM file you downloaded. As soon as this process is complete you can run Sylpheed as user. </P>
234 <H2><A NAME="ss4.5">4.5</A> <A HREF="sylpheed.html#toc4.5">Installation on Debian Linux</A>
235 </H2>
236
237 <P>With an internet connection :</P>
238 <P>apt-get install sylpheed (to install it with a internet connection)</P>
239 <P>Without internet connection, fetch the debian package for example on
240 <A HREF="http://packages.debian.org/unstable/mail/sylpheed.html">http://packages.debian.org/unstable/mail/sylpheed.html</A></P>
241 <P>dpkg -i sylpheedx.x.x-1i386.deb</P>
242 <P>dpkg --install sylpheedx.x.x-1i386.deb</P>
243 <H2><A NAME="ss4.6">4.6</A> <A HREF="sylpheed.html#toc4.6">Installation on FreeBSD</A>
244 </H2>
245
246 <P>using the /stand/sysinstall tool (it is a menu-based interface) :</P>
247 <P>run "/stand/sysinstall" as root</P>
248 <P>in the main menu choose "Configure" -> "Packages" -> "mail", then "sylpheed" then, back to the "Packages" list, choose "Install"</P>
249 <P>Using the ports</P>
250 <P>Get the sylpheed port on :</P>
251 <P>
252 <A HREF="ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-4.3-release/mail">ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-4.3-release/mail</A></P>
253 <P>then, as root: pkg-add sylpheed-0.x.x.tgz</P>
254 <P>using the ports with compiling:</P>
255 <P>first, update your port, fetch it on 
256 <A HREF="http://www.freebsd.org/ports/mail.html">http://www.freebsd.org/ports/mail.html</A></P>
257 <P>cd /usr/ports/mail/sylpheed</P>
258 <P>make</P>
259 <P>If it succeeds, type "make install"</P>
260 <P>In case it fails, fetch the required package if necessary
261 (on the same page), put the package file in /usr/ports/distfiles/
262 then :
263 <UL>
264 <LI>cd /usr/ports/mail/sylpheed</LI>
265 <LI>make</LI>
266 <LI>make install</LI>
267 </UL>
268 </P>
269 <P>Need a more up-to-date version ?</P>
270 <P>Just use the Unix standard method (see "Nuts and bolts of installation")</P>
271 <HR>
272 <A HREF="sylpheed-5.html">Next</A>
273 <A HREF="sylpheed-3.html">Previous</A>
274 <A HREF="sylpheed.html#toc4">Contents</A>
275 </BODY>
276 </HTML>